> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List phone numbers

> Lists phone numbers owned by the authenticated user — both BYO (`user`) and provisioned (`mobilerun`) numbers.



## OpenAPI

````yaml /api-reference/mobilerun-numbers.yaml get /numbers/phones
openapi: 3.1.0
info:
  title: Mobilerun Numbers
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /numbers/phones:
    get:
      tags:
        - Numbers
      summary: List phone numbers
      description: >-
        Lists phone numbers owned by the authenticated user — both BYO (`user`)
        and provisioned (`mobilerun`) numbers.
      operationId: listNumbers
      parameters:
        - in: query
          name: page
          required: false
          schema:
            default: 1
            exclusiveMinimum: 0
            type: integer
        - in: query
          name: pageSize
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicListNumbersResponse'
          description: Numbers retrieved
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NumberErrorResponse'
          description: >-
            Service Unavailable — phone numbers are disabled for this deployment
            (see `reason`)
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const numbers = await client.numbers.list();

            console.log(numbers.items);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            numbers = client.numbers.list()
            print(numbers.items)
components:
  schemas:
    PublicListNumbersResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PublicNumber'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      required:
        - items
        - pagination
      type: object
    NumberErrorResponse:
      properties:
        message:
          type: string
        reason:
          enum:
            - product_disabled
            - not_cancellable
          type: string
        success:
          enum:
            - false
          type: boolean
      required:
        - success
        - reason
        - message
      type: object
    PublicNumber:
      properties:
        canSend:
          type: boolean
        cancelAtPeriodEnd:
          type: boolean
        cancellable:
          type: boolean
        capabilities:
          items:
            enum:
              - sms
              - voice
            type: string
          type:
            - array
            - 'null'
        checkoutUrl:
          type:
            - string
            - 'null'
        countryCode:
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        currentPeriodEnd:
          format: date-time
          type:
            - string
            - 'null'
        id:
          format: uuid
          type: string
        label:
          type:
            - string
            - 'null'
        phoneNumber:
          type:
            - string
            - 'null'
        purpose:
          type:
            - string
            - 'null'
        state:
          enum:
            - awaiting_payment
            - provisioning
            - active
            - cancel_scheduled
            - expired
            - failed
          type: string
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      required:
        - id
        - phoneNumber
        - label
        - state
        - countryCode
        - capabilities
        - canSend
        - purpose
        - checkoutUrl
        - currentPeriodEnd
        - cancelAtPeriodEnd
        - cancellable
        - createdAt
        - updatedAt
      type: object
    Pagination:
      properties:
        hasNext:
          type: boolean
        hasPrev:
          type: boolean
        page:
          minimum: 1
          type: integer
        pageSize:
          minimum: 1
          type: integer
        pages:
          minimum: 0
          type: integer
        total:
          minimum: 0
          type: integer
      required:
        - hasNext
        - hasPrev
        - page
        - pageSize
        - pages
        - total
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````